/**
 * @license
 * Copyright 2023 Open Ag Data Alliance
 *
 * Use of this source code is governed by an MIT-style
 * license that can be found in the LICENSE file or at
 * https://opensource.org/licenses/MIT.
 */

import type { JSONSchema8 as Schema } from 'jsonschema8';

export default {
  $id: 'https://formats.openag.io/utils.schema.json',
  $schema: 'http://json-schema.org/draft-07/schema#',
  description: 'Utility schema types',
  definitions: {
    anyOtherString: {
      title: 'Any other string',
      description:
        'Workaround to make TypeScript autocomplete better for string enums',
      tsType: 'string & Record<never, never>',
      type: 'string',
      additionalProperties: false,
    },
  },
} as const satisfies Schema;
