declare const _default: {
    readonly $id: "https://formats.openag.io/jose/jws.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly title: "JWS";
    readonly description: "@see {@link https://datatracker.ietf.org/doc/html/rfc7515 JSON Web Signature (JWS)}";
    readonly definitions: {
        readonly parameters: {
            readonly title: "JOSE Header parameters";
            readonly description: "@see {@link https://datatracker.ietf.org/doc/html/rfc7515#section-4 JOSE Header}";
            readonly definitions: {
                readonly registered: {
                    readonly title: "Registered Header Parameter Names";
                    readonly description: "IANA Registered Header Parameter Names\n@see {@link https://datatracker.ietf.org/doc/html/rfc7515#section-4.1 Registered Header Parameter Names}\n@see {@link https://www.iana.org/assignments/jose/jose.xhtml#web-signature-encryption-header-parameters}";
                    readonly $comment: `Enum retrieved dynamically from https://www.iana.org/assignments/jose/jose.xhtml#web-signature-encryption-header-parameters on ${string}`;
                    readonly oneOf: {
                        title: string;
                        description: string;
                        const: string;
                    }[];
                };
            };
            readonly oneOf: readonly [{
                readonly $ref: "#/definitions/parameters/definitions/registered";
            }, {
                readonly $ref: "../utils.schema.json#/definitions/anyOtherString";
            }];
        };
    };
};
export default _default;
