import { ianaAssignments, rfc } from '@oada/schemas/utils';
const parameters = await ianaAssignments('jose', 'web-signature-encryption-header-parameters');
export default {
    $id: 'https://formats.openag.io/jose/jws.schema.json',
    $schema: 'http://json-schema.org/draft-07/schema#',
    title: 'JWS',
    description: `@see {@link ${rfc(7515)} JSON Web Signature (JWS)}`,
    definitions: {
        parameters: {
            title: 'JOSE Header parameters',
            description: `@see {@link ${rfc(7515, 4)} JOSE Header}`,
            definitions: {
                registered: {
                    title: 'Registered Header Parameter Names',
                    description: `IANA Registered Header Parameter Names\n@see {@link ${rfc(7515, 4.1)} Registered Header Parameter Names}\n@see {@link ${parameters.uri}}`,
                    $comment: `Enum retrieved dynamically from ${parameters.uri} on ${new Date()}`,
                    oneOf: await parameters.map((parameter) => ({
                        title: parameter.value,
                        description: `${parameter.description}\n@see {@link ${parameter.reference}}`,
                        const: parameter.value,
                    })),
                },
            },
            oneOf: [
                { $ref: '#/definitions/parameters/definitions/registered' },
                { $ref: '../utils.schema.json#/definitions/anyOtherString' },
            ],
        },
    },
};
//# sourceMappingURL=jws.schema.mjs.map