declare const schema: {
    readonly $id: "https://formats.openag.io/oada/bookmarks/v1.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "bookmarks is the top-level document returned by the OADA API";
    readonly properties: {
        readonly trellisfw: {
            readonly description: "A versioned link in OADA has _id an _rev in the link in order allow changes to bubble up from child to parents.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly description: "_rev is the revision string for a resource in the OADA API.";
                    readonly type: "integer";
                };
            };
            readonly required: readonly ["_id", "_rev"];
            readonly type: "object";
        };
        readonly planting: {
            readonly description: "A versioned link in OADA has _id an _rev in the link in order allow changes to bubble up from child to parents.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly description: "_rev is the revision string for a resource in the OADA API.";
                    readonly type: "integer";
                };
            };
            readonly required: readonly ["_id", "_rev"];
            readonly type: "object";
        };
        readonly harvest: {
            readonly description: "A versioned link in OADA has _id an _rev in the link in order allow changes to bubble up from child to parents.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly description: "_rev is the revision string for a resource in the OADA API.";
                    readonly type: "integer";
                };
            };
            readonly required: readonly ["_id", "_rev"];
            readonly type: "object";
        };
        readonly machines: {
            readonly description: "A versioned link in OADA has _id an _rev in the link in order allow changes to bubble up from child to parents.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly description: "_rev is the revision string for a resource in the OADA API.";
                    readonly type: "integer";
                };
            };
            readonly required: readonly ["_id", "_rev"];
            readonly type: "object";
        };
        readonly irrigation: {
            readonly description: "A versioned link in OADA has _id an _rev in the link in order allow changes to bubble up from child to parents.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly description: "_rev is the revision string for a resource in the OADA API.";
                    readonly type: "integer";
                };
            };
            readonly required: readonly ["_id", "_rev"];
            readonly type: "object";
        };
        readonly sensors: {
            readonly description: "A versioned link in OADA has _id an _rev in the link in order allow changes to bubble up from child to parents.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly description: "_rev is the revision string for a resource in the OADA API.";
                    readonly type: "integer";
                };
            };
            readonly required: readonly ["_id", "_rev"];
            readonly type: "object";
        };
        readonly fields: {
            readonly description: "A versioned link in OADA has _id an _rev in the link in order allow changes to bubble up from child to parents.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly description: "_rev is the revision string for a resource in the OADA API.";
                    readonly type: "integer";
                };
            };
            readonly required: readonly ["_id", "_rev"];
            readonly type: "object";
        };
        readonly clients: {
            readonly description: "A versioned link in OADA has _id an _rev in the link in order allow changes to bubble up from child to parents.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly description: "_rev is the revision string for a resource in the OADA API.";
                    readonly type: "integer";
                };
            };
            readonly required: readonly ["_id", "_rev"];
            readonly type: "object";
        };
        readonly 'sensor-hubs': {
            readonly description: "A versioned link in OADA has _id an _rev in the link in order allow changes to bubble up from child to parents.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly description: "_rev is the revision string for a resource in the OADA API.";
                    readonly type: "integer";
                };
            };
            readonly required: readonly ["_id", "_rev"];
            readonly type: "object";
        };
        readonly isoblue: {
            readonly description: "A link in OADA has at least an _id key and links one resource to another.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
            };
            readonly required: readonly ["_id"];
            readonly type: "object";
        };
        readonly _id: {
            readonly description: "_id identifies a resource in the OADA API.";
            readonly type: "string";
        };
        readonly _rev: {
            readonly description: "_rev is the revision string for a resource in the OADA API.";
            readonly type: "integer";
        };
        readonly _meta: {
            readonly description: "_meta is a link to the meta document for a resources.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly description: "_rev is the revision string for a resource in the OADA API.";
                    readonly type: "integer";
                };
            };
            readonly required: readonly ["_id", "_rev"];
            readonly type: "object";
        };
        readonly _type: {
            readonly enum: readonly ["application/vnd.oada.bookmarks.1+json"];
        };
    };
    readonly additionalProperties: true;
    readonly required: readonly ["_type"];
    readonly type: "object";
    readonly examples: readonly [{
        readonly _type: "application/vnd.oada.bookmarks.1+json";
        readonly context: {};
        readonly planting: {
            readonly _id: "resources/09ijfofj";
            readonly _rev: 2;
        };
        readonly harvest: {
            readonly _id: "resources/908uf2jh";
            readonly _rev: 33;
        };
        readonly machines: {
            readonly _id: "respurces/0kdfj20j";
            readonly _rev: 8;
        };
        readonly irrigation: {
            readonly _id: "resources/0jk2iopw";
            readonly _rev: 4;
        };
        readonly sales: {
            readonly _id: "resources/0kdfj20j";
            readonly _rev: 99;
        };
        readonly sensors: {
            readonly _id: "resources/kd02ufjk";
            readonly _rev: 3;
        };
        readonly fields: {
            readonly _id: "resources/0kdfj2jl";
            readonly _rev: 7;
        };
        readonly clients: {
            readonly _id: "resources/9sdkf2lk";
            readonly _rev: 4;
        };
        readonly 'sensor-hubs': {
            readonly _id: "resources/xks84x8s";
            readonly _rev: 1;
        };
    }];
};
export = schema;
