"use strict";
const schema = {
    $id: 'https://formats.openag.io/oada/change.schema.json',
    $schema: 'http://json-schema.org/draft-07/schema#',
    description: 'Wrapper type for any version of an OADA change document.',
    oneOf: [
        { $ref: './change/v1.schema.json' },
        { $ref: './change/v2.schema.json' },
    ],
    examples: [
        {
            body: {
                test: 'abc',
                _rev: 1,
            },
            type: 'merge',
        },
        [
            {
                resource_id: 'resources/default:resources_bookmarks_123',
                path: '',
                body: {
                    rocks: {
                        _rev: 1,
                    },
                    _rev: 1,
                },
                type: 'merge',
            },
            {
                resource_id: 'resources/default:resources_rocks_123',
                path: '/rocks',
                body: {
                    test: 'abc',
                    _rev: 1,
                },
                type: 'merge',
            },
        ],
    ],
};
module.exports = schema;
//# sourceMappingURL=change.schema.cjs.map