declare const schema: {
    readonly $id: "https://formats.openag.io/oada/change.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "Wrapper type for any version of an OADA change document.";
    readonly oneOf: readonly [{
        readonly $ref: "./change/v1.schema.json";
    }, {
        readonly $ref: "./change/v2.schema.json";
    }];
    readonly examples: readonly [{
        readonly body: {
            readonly test: "abc";
            readonly _rev: 1;
        };
        readonly type: "merge";
    }, [{
        readonly resource_id: "resources/default:resources_bookmarks_123";
        readonly path: "";
        readonly body: {
            readonly rocks: {
                readonly _rev: 1;
            };
            readonly _rev: 1;
        };
        readonly type: "merge";
    }, {
        readonly resource_id: "resources/default:resources_rocks_123";
        readonly path: "/rocks";
        readonly body: {
            readonly test: "abc";
            readonly _rev: 1;
        };
        readonly type: "merge";
    }]];
};
export = schema;
