"use strict";
const schema = {
    $id: 'https://formats.openag.io/oada/change/v1.schema.json',
    $schema: 'http://json-schema.org/draft-07/schema#',
    description: 'Tree-based change representation (OADA v1)',
    definitions: {
        type: {
            description: 'Indicates the type of change that occurred.',
            enum: ['merge', 'delete'],
        },
    },
    type: 'object',
    required: ['type', 'body'],
    properties: {
        type: { $ref: '#/definitions/type' },
        body: {
            $comment: 'Should probably narrow this schema down',
            description: 'The contents of what was changed.',
        },
    },
    examples: [
        {
            body: {
                test: 'abc',
                _rev: 1,
            },
            type: 'merge',
        },
    ],
};
module.exports = schema;
//# sourceMappingURL=v1.schema.cjs.map