declare const schema: {
    readonly $id: "https://formats.openag.io/oada/change/v1.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "Tree-based change representation (OADA v1)";
    readonly definitions: {
        readonly type: {
            readonly description: "Indicates the type of change that occurred.";
            readonly enum: readonly ["merge", "delete"];
        };
    };
    readonly type: "object";
    readonly required: readonly ["type", "body"];
    readonly properties: {
        readonly type: {
            readonly $ref: "#/definitions/type";
        };
        readonly body: {
            readonly $comment: "Should probably narrow this schema down";
            readonly description: "The contents of what was changed.";
        };
    };
    readonly examples: readonly [{
        readonly body: {
            readonly test: "abc";
            readonly _rev: 1;
        };
        readonly type: "merge";
    }];
};
export = schema;
