declare const schema: {
    readonly $id: "https://formats.openag.io/oada/clients/v1.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "application/vnd.oada.clients.1+json";
    readonly additionalProperties: true;
    readonly required: readonly ["name", "list"];
    readonly properties: {
        readonly name: {
            readonly type: "string";
            readonly pattern: "clients";
        };
        readonly list: {
            readonly $ref: "https://formats.openag.io/oada/link/v1.schema.json#/definitions/list";
        };
    };
    readonly examples: readonly [{
        readonly name: "clients";
        readonly list: {
            readonly '0jfl290ijfklwsdf': {
                readonly _id: "321cba";
                readonly _rev: "90-k2983wfhjdsdf";
            };
            readonly kl9ojksfh92hkwef: {
                readonly _id: "389dfj";
                readonly _rev: "2-kdfj29eflwdfsd";
            };
        };
    }];
};
export = schema;
