declare const schema: {
    readonly $id: "https://formats.openag.io/oada/harvest/v1.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "A harvest document holds links to information related to harvest activites or data.";
    readonly properties: {
        readonly 'as-harvested': {
            readonly description: "A versioned link in OADA has _id an _rev in the link in order allow changes to bubble up from child to parents.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly description: "_rev is the revision string for a resource in the OADA API.";
                    readonly type: "integer";
                };
            };
            readonly required: readonly ["_id", "_rev"];
            readonly type: "object";
        };
        readonly 'tiled-maps': {
            readonly description: "A versioned link in OADA has _id an _rev in the link in order allow changes to bubble up from child to parents.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly description: "_rev is the revision string for a resource in the OADA API.";
                    readonly type: "integer";
                };
            };
            readonly required: readonly ["_id", "_rev"];
            readonly type: "object";
        };
        readonly _id: {
            readonly description: "_id identifies a resource in the OADA API.";
            readonly type: "string";
        };
        readonly _rev: {
            readonly description: "_rev is the revision string for a resource in the OADA API.";
            readonly type: "integer";
        };
        readonly _meta: {
            readonly description: "_meta is a link to the meta document for a resources.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly description: "_rev is the revision string for a resource in the OADA API.";
                    readonly type: "integer";
                };
            };
            readonly required: readonly ["_id", "_rev"];
            readonly type: "object";
        };
        readonly _type: {
            readonly enum: readonly ["application/vnd.oada.harvest.1+json"];
        };
    };
    readonly additionalProperties: true;
    readonly required: readonly ["_type"];
    readonly type: "object";
    readonly examples: readonly [{
        readonly _id: "resources/90fijklf3";
        readonly _rev: 7;
        readonly _type: "application/vnd.oada.harvest.1+json";
        readonly context: {};
        readonly 'as-harvested': {
            readonly _id: "resources/resources/kfj20ikejldss";
            readonly _rev: 9;
        };
        readonly 'tiled-maps': {
            readonly _id: "resources/92jfkjfe0fdi";
            readonly _rev: 8;
        };
    }];
};
export = schema;
