declare const schema: {
    readonly $id: "https://formats.openag.io/oada/indexes/geohash-length-index.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "geohash-length-index is an indexing scheme that groups data by geohash string lengths. As with all indexes, it is not a document type itself and therefore cannot be linked to.  It can also have a \"datum\" key which tells the earth model used for GPS.";
    readonly properties: {
        readonly datum: {
            readonly description: "datum describes the model of the earth used for GPS coordinates. It can be from a set of known strings, or an EPSG model from http://spatialreference.org";
            readonly anyOf: readonly [{
                readonly type: "string";
                readonly examples: readonly ["WGS84"];
            }, {
                readonly required: readonly ["type", "properties"];
                readonly properties: {
                    readonly type: {
                        readonly enum: readonly ["EPSG"];
                    };
                    readonly properties: {
                        readonly required: readonly ["code"];
                        readonly properties: {
                            readonly code: {
                                readonly type: "number";
                            };
                        };
                        readonly type: "object";
                    };
                };
                readonly type: "object";
            }];
        };
    };
    readonly type: "object";
};
export = schema;
