declare const schema: {
    readonly $id: "https://formats.openag.io/oada/irrigation/machines/v1.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "application/vnd.oada.irrigation.machines.1+json";
    readonly required: readonly ["name", "list"];
    readonly additionalProperties: true;
    readonly properties: {
        readonly name: {
            readonly type: "string";
            readonly pattern: "irrigation";
        };
        readonly list: {
            readonly $ref: "https://formats.openag.io/oada/link/v1.schema.json#/definitions/list";
        };
    };
    readonly examples: readonly [{
        readonly name: "irrigation";
        readonly list: {
            readonly dummyrandomthing: {
                readonly _id: "dummyid123AFG";
                readonly _rev: "1-dummy02ijfl";
            };
            readonly klsdfj0982ifjoow: {
                readonly _id: "df002jfk2ojsl";
                readonly _rev: "3-jkfd0ijs8zk";
            };
        };
    }];
};
export = schema;
