declare const schema: {
    readonly $id: "https://formats.openag.io/oada/isoblue/v1.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "The ISOBlue document holds links to data related to (often collected by) the ISOBlue device";
    readonly properties: {
        readonly can: {
            readonly description: "A link in OADA has at least an _id key and links one resource to another.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
            };
            readonly required: readonly ["_id"];
            readonly type: "object";
        };
        readonly heartbeat: {
            readonly description: "A link in OADA has at least an _id key and links one resource to another.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
            };
            readonly required: readonly ["_id"];
            readonly type: "object";
        };
        readonly location: {
            readonly description: "A link in OADA has at least an _id key and links one resource to another.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
            };
            readonly required: readonly ["_id"];
            readonly type: "object";
        };
        readonly _id: {
            readonly description: "_id identifies a resource in the OADA API.";
            readonly type: "string";
        };
        readonly _rev: {
            readonly description: "_rev is the revision string for a resource in the OADA API.";
            readonly type: "integer";
        };
        readonly _meta: {
            readonly description: "_meta is a link to the meta document for a resources.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly description: "_rev is the revision string for a resource in the OADA API.";
                    readonly type: "integer";
                };
            };
            readonly required: readonly ["_id", "_rev"];
            readonly type: "object";
        };
        readonly _type: {
            readonly enum: readonly ["application/vnd.oada.isoblue.1+json"];
        };
    };
    readonly additionalProperties: true;
    readonly required: readonly ["_type"];
    readonly type: "object";
    readonly examples: readonly [{
        readonly _type: "application/vnd.oada.isoblue.1+json";
        readonly can: {
            readonly _id: "kfj20ikejldss";
        };
        readonly heartbeat: {
            readonly _id: "92jfkjfe0fdi";
        };
        readonly location: {
            readonly _id: "92jfkjfe0fdi";
        };
    }];
};
export = schema;
