declare const schema: {
    readonly $id: "https://formats.openag.io/oada/link/v1.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "OADA Link object";
    readonly title: "Link";
    readonly definitions: {
        readonly link: {
            readonly anyOf: readonly [{
                readonly $ref: "#/definitions/nonversioned";
            }, {
                readonly $ref: "#/definitions/versioned";
            }];
        };
        readonly nonversioned: {
            readonly type: "object";
            readonly required: readonly ["_id"];
            readonly additionalProperties: true;
            readonly properties: {
                readonly _id: {
                    readonly type: "string";
                };
            };
        };
        readonly versioned: {
            readonly type: "object";
            readonly required: readonly ["_rev", "_id"];
            readonly additionalProperties: true;
            readonly properties: {
                readonly _id: {
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly $ref: "../../oada.schema.json#/definitions/_rev";
                };
            };
        };
        readonly list: {
            readonly definitions: {
                readonly versioned: {
                    readonly type: "object";
                    readonly additionalProperties: {
                        readonly $ref: "#/definitions/versioned";
                    };
                };
                readonly nonversioned: {
                    readonly type: "object";
                    readonly additionalProperties: {
                        readonly $ref: "#/definitions/nonversioned";
                    };
                };
            };
            readonly type: "object";
            readonly additionalProperties: {
                readonly $ref: "#/definitions/link";
            };
        };
    };
    readonly anyOf: readonly [{
        readonly $ref: "#/definitions/nonversioned";
    }, {
        readonly $ref: "#/definitions/versioned";
    }];
    readonly examples: readonly [{
        readonly _id: "akjf92jxcJds";
        readonly _rev: "1-jxusuf3sc";
    }];
};
export = schema;
