declare const schema: {
    readonly $id: "https://formats.openag.io/oada/oada-configuration/v1.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "application/vnd.oada.well-known.oada-configuration.1+json";
    readonly required: readonly ["oada_base_uri", "authorization_endpoint", "token_endpoint", "registration_endpoint", "token_endpoint_auth_signing_alg_values_supported"];
    readonly additionalProperties: true;
    readonly properties: {
        readonly oada_base_uri: {
            readonly type: "string";
            readonly pattern: "^https://.*";
        };
        readonly authorization_endpoint: {
            readonly type: "string";
            readonly pattern: "^https://.*";
        };
        readonly token_endpoint: {
            readonly type: "string";
            readonly pattern: "^https://.*";
        };
        readonly registration_endpoint: {
            readonly type: "string";
            readonly pattern: "^https://.*";
        };
        readonly token_endpoint_auth_signing_alg_values_supported: {
            readonly type: "array";
            readonly minItems: 1;
            readonly uniqueItems: true;
            readonly items: {
                readonly type: "string";
            };
        };
    };
    readonly type: "object";
    readonly examples: readonly [{
        readonly well_known_version: "1.0.0";
        readonly oada_base_uri: "https://oada.example.com";
        readonly authorization_endpoint: "https://oada.example.com/auth";
        readonly token_endpoint: "https://oada.example.com/token";
        readonly registration_endpoint: "https://oada.example.com/register";
        readonly token_endpoint_auth_signing_alg_values_supported: readonly ["RS256"];
        readonly scopes_supported: readonly [{
            readonly name: "oada.all.1";
            readonly 'read+write': true;
        }];
    }];
};
export = schema;
