declare const schema: {
    readonly $id: "https://formats.openag.io/oada/service/job/update.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "A list of updates as job progresses. Keys shall be sorted in time order.";
    readonly type: "object";
    readonly properties: {
        readonly status: {
            readonly description: "Status of job at the time of update";
            readonly type: "string";
        };
        readonly time: {
            readonly description: "ISO8601 UTC date-time of update time";
            readonly type: "string";
        };
        readonly meta: {
            readonly description: "Additional meta data about the status update";
        };
    };
    readonly required: readonly ["status", "time"];
    readonly examples: readonly [{
        readonly status: "started";
        readonly time: "2018-11-14T20:20:39+00:00";
        readonly meta: {
            readonly example: "data";
        };
    }];
};
export = schema;
