"use strict";
const tslib_1 = require("tslib");
const utils_1 = require("@oada/schemas/utils");
const oada_schema_cjs_1 = tslib_1.__importDefault(require("../../oada.schema.cjs"));
const nonReserved$ref = (0, utils_1.$ref)(oada_schema_cjs_1.default, '/definitions/key/definitions/nonReserved');
const schema = {
    $id: 'https://formats.openag.io/oada/jobs-change/v1.schema.json',
    $schema: 'http://json-schema.org/draft-07/schema#',
    description: 'OADA "list"',
    title: 'List',
    definitions: {
        item: {
            title: 'List item',
            $ref: '../link/v1.schema.json',
        },
    },
    type: 'object',
    properties: {},
    allOf: [
        {
            description: 'listed jobs',
            type: 'object',
            ...(0, utils_1.typescript) `{[key: ${nonReserved$ref}]: ListItem}`,
            patternProperties: {
                [nonReserved$ref.pattern]: {
                    $ref: '#/definitions/item',
                },
            },
        },
    ],
    examples: [
        {
            _id: 'resources/123',
            _rev: 3,
            _meta: {
                _id: 'resources/123/_meta',
                _rev: 3,
            },
            _type: 'application/vnd.oada.list.1+json',
            asdxjkacsdj: {
                _id: 'resources/ajajkjfsdaf',
                _rev: 1,
            },
        },
    ],
};
module.exports = schema;
//# sourceMappingURL=jobs-change.schema.cjs.map