declare const schema: {
    readonly $id: "https://formats.openag.io/oada/service/queue.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "The format for @oada/jobs queue a job queue request";
    readonly type: "object";
    readonly properties: {
        readonly domain: {
            readonly description: "OADA domain of the job queue";
            readonly type: "string";
        };
        readonly token: {
            readonly description: "Token to use when interacting with job queue";
            readonly type: "string";
        };
    };
    readonly required: readonly ["domain", "token"];
    readonly examples: readonly [{
        readonly domain: "dev.trellis.one";
        readonly token: "abc1234321cba";
    }];
};
export = schema;
