"use strict";
const tslib_1 = require("tslib");
const utils_1 = require("@oada/schemas/utils");
const oada_schema_cjs_1 = tslib_1.__importDefault(require("../../oada.schema.cjs"));
const nonReserved$ref = (0, utils_1.$ref)(oada_schema_cjs_1.default, '/definitions/key/definitions/nonReserved');
const treeKey = {
    title: 'Tree key',
    pattern: '^[^_]',
    oneOf: [{ const: '*' }, { ...nonReserved$ref }],
};
const schema = {
    $id: 'https://formats.openag.io/oada/tree/v1.schema.json',
    $schema: 'http://json-schema.org/draft-07/schema#',
    title: 'Tree',
    description: 'An object representation of an OADA "tree".',
    definitions: {
        treeKey,
    },
    type: 'object',
    properties: {
        _type: {
            $ref: '../../oada.schema.json#/definitions/_type',
        },
        _rev: {
            $ref: '../../oada.schema.json#/definitions/_rev',
        },
    },
    allOf: [
        {
            description: 'sub trees',
            type: 'object',
            ...(0, utils_1.typescript) `{ [key in '*' | ${nonReserved$ref}]: Tree; }`,
            patternProperties: {
                [(0, utils_1.$ref)(treeKey).pattern]: {
                    $ref: '#',
                },
            },
        },
    ],
};
module.exports = schema;
//# sourceMappingURL=v1.schema.cjs.map