declare const schema: {
    readonly $id: "https://formats.openag.io/oada/tree/v1.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly title: "Tree";
    readonly description: "An object representation of an OADA \"tree\".";
    readonly definitions: {
        readonly treeKey: {
            readonly title: "Tree key";
            readonly pattern: "^[^_]";
            readonly oneOf: readonly [{
                readonly const: "*";
            }, {
                readonly $ref: string;
                readonly tsType: string;
                readonly description: "Key names not reserved for OADA use";
                readonly type: "string";
                readonly pattern: "^[^_]";
            }];
        };
    };
    readonly type: "object";
    readonly properties: {
        readonly _type: {
            readonly $ref: "../../oada.schema.json#/definitions/_type";
        };
        readonly _rev: {
            readonly $ref: "../../oada.schema.json#/definitions/_rev";
        };
    };
    readonly allOf: readonly [{
        readonly patternProperties: {
            readonly "^[^_]": {
                readonly $ref: "#";
            };
        };
        readonly tsType: string;
        readonly description: "sub trees";
        readonly type: "object";
    }];
};
export = schema;
