"use strict";
const schema = {
    $id: 'https://formats.openag.io/oada/websockets/change.schema.json',
    $schema: 'http://json-schema.org/draft-07/schema#',
    title: 'Websocket change representation',
    description: 'This is the format of an OADA websocket change notification (server to client)',
    definitions: {
        id: {
            description: 'The id a WATCH request',
            $ref: 'request.schema.json#/properties/requestId',
        },
    },
    type: 'object',
    required: ['requestId', 'resourceId', 'change'],
    properties: {
        requestId: {
            description: 'List of WATCH requests that should receive this change',
            type: 'array',
            minItems: 1,
            items: {
                $ref: '#/definitions/id',
            },
        },
        resourceId: {
            description: 'The `_id` of the resource which received the change',
            $ref: '../../oada.schema.json#/definitions/_id',
        },
        change: {
            $ref: '../change.schema.json#',
        },
    },
};
module.exports = schema;
//# sourceMappingURL=change.schema.cjs.map