declare const schema: {
    readonly $id: "https://formats.openag.io/oada/websockets/change.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly title: "Websocket change representation";
    readonly description: "This is the format of an OADA websocket change notification (server to client)";
    readonly definitions: {
        readonly id: {
            readonly description: "The id a WATCH request";
            readonly $ref: "request.schema.json#/properties/requestId";
        };
    };
    readonly type: "object";
    readonly required: readonly ["requestId", "resourceId", "change"];
    readonly properties: {
        readonly requestId: {
            readonly description: "List of WATCH requests that should receive this change";
            readonly type: "array";
            readonly minItems: 1;
            readonly items: {
                readonly $ref: "#/definitions/id";
            };
        };
        readonly resourceId: {
            readonly description: "The `_id` of the resource which received the change";
            readonly $ref: "../../oada.schema.json#/definitions/_id";
        };
        readonly change: {
            readonly $ref: "../change.schema.json#";
        };
    };
};
export = schema;
