declare const schema: {
    readonly $id: "https://formats.openag.io/oada/websockets/request.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "This is the format of an OADA websocket request (client to server)";
    readonly definitions: {
        readonly id: {
            readonly type: "string";
        };
    };
    readonly type: "object";
    readonly required: readonly ["requestId", "path", "method", "headers"];
    readonly properties: {
        readonly requestId: {
            readonly $ref: "#/definitions/id";
        };
        readonly path: {
            readonly $ref: "../../oada.schema.json#/definitions/path";
        };
        readonly method: {
            readonly anyOf: readonly [{
                readonly $comment: "Standard HTTP methods";
                readonly $ref: "../../oada.schema.json#/definitions/method";
            }, {
                readonly $comment: "WebSocket only methods";
                readonly enum: readonly ["watch", "head-watch", "get-watch", "put-watch", "post-watch", "delete-watch", "unwatch", "ping"];
            }];
        };
        readonly headers: {
            readonly type: "object";
            readonly required: readonly ["authorization"];
            readonly properties: {
                readonly authorization: {
                    readonly type: "string";
                };
            };
        };
        readonly data: {
            readonly description: "The optional data payload of the request";
        };
    };
};
export = schema;
