declare const schema: {
    readonly $id: "https://formats.openag.io/oada/websockets/response.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "This is the format of an OADA websocket response (server to client)";
    readonly definitions: {
        readonly id: {
            readonly $ref: "request.schema.json#/properties/requestId";
        };
    };
    readonly type: "object";
    readonly required: readonly ["requestId", "status"];
    readonly properties: {
        readonly requestId: {
            readonly description: "Array of request IDs to which this response pertains. A single string is supported only for legacy purposes.";
            readonly anyOf: readonly [{
                readonly type: "array";
                readonly minItems: 1;
                readonly items: {
                    readonly $ref: "#/definitions/id";
                };
            }, {
                readonly $ref: "#/definitions/id";
            }];
        };
        readonly status: {
            readonly type: "integer";
        };
        readonly statusText: {
            readonly type: "string";
        };
        readonly headers: {
            readonly type: "object";
            readonly additionalProperties: {
                readonly type: "string";
            };
        };
        readonly resourceId: {
            readonly $ref: "../../oada.schema.json#/definitions/_id";
        };
        readonly resource: {
            readonly $comment: "Not sure if this is always actually a resource...";
        };
        readonly data: {
            readonly description: "The optional data payload of the request";
        };
    };
};
export = schema;
