declare const schema: {
    readonly $id: "https://formats.openag.io/oauth-dyn-reg/response.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly title: "application/vnd.oada.oauth-dny-reg.register-response.1+json";
    readonly description: "@see {@link https://datatracker.ietf.org/doc/html/rfc7591#section-3.2.1 Client Information Response}";
    readonly required: readonly ["client_id"];
    readonly allOf: readonly [{
        readonly $ref: "./metadata.schema.json";
    }];
    readonly properties: {
        readonly client_id: {
            readonly type: "string";
            readonly description: "OAuth 2.0 client identifier string";
        };
        readonly client_secret: {
            readonly type: "string";
            readonly description: "OAuth 2.0 client secret string";
        };
        readonly client_id_issued_at: {
            readonly type: "number";
            readonly description: "Time at which the client identifier was issued. The time is represented as the number of seconds from 1970-01-01T00:00:00Z as measured in UTC until the date/time of issuance.";
        };
        readonly client_secret_expires_at: {
            readonly type: "number";
            readonly description: "Time at which the client secret will expire or 0 if it will not expire. The time is represented as the number of seconds from 1970-01-01T00:00:00Z as measured in UTC until the date/time of expiration.";
        };
    };
    readonly type: "object";
};
export = schema;
