declare const schema: {
    readonly $id: "https://formats.openag.io/trellis.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly definitions: {
        readonly location: {
            readonly description: "location describes the postal address used to identify where         something is.";
            readonly properties: {
                readonly street_address: {
                    readonly $ref: "#/definitions/street_address";
                };
                readonly postal_code: {
                    readonly $ref: "#/definitions/postal_code";
                };
                readonly city: {
                    readonly $ref: "#/definitions/city";
                };
                readonly state: {
                    readonly $ref: "#/definitions/state";
                };
                readonly country: {
                    readonly $ref: "#/definitions/country";
                };
            };
        };
        readonly street_address: {
            readonly description: "The street name and mailbox number of a postal address.";
            readonly type: "string";
        };
        readonly postal_code: {
            readonly description: "postal_code is the postal code used in a postal address";
            readonly type: "string";
        };
        readonly city: {
            readonly description: "The name of the city, usually in a postal address.";
            readonly type: "string";
        };
        readonly state: {
            readonly description: "The name of the state or major region, usually in a postal address.";
            readonly type: "string";
        };
        readonly country: {
            readonly description: "The name of the country, usually in a postal address.";
            readonly type: "string";
        };
        readonly phone: {
            readonly description: "phone describes the phone number with country code and area         code.";
            readonly type: "string";
        };
    };
};
export = schema;
