declare const schema: {
    readonly $id: "https://formats.openag.io/trellis/certifications/v1.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "This is document with a list of links to certifications.  The keys are random strings.  It is also possible to have a dynamic index that represents a set of smaller groups of certifications.  In that case, an id-index key or other grouping would be found here.";
    readonly patternProperties: {
        readonly '^(?!(indexing|.*-index|_.*)).*$': {
            readonly description: "A versioned link in OADA has _id an _rev in the link in order allow changes to bubble up from child to parents.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly description: "_rev is the revision string for a resource in the OADA API.";
                    readonly type: "integer";
                };
            };
            readonly required: readonly ["_id", "_rev"];
            readonly type: "object";
        };
    };
    readonly properties: {
        readonly _id: {
            readonly description: "_id identifies a resource in the OADA API.";
            readonly type: "string";
        };
        readonly _rev: {
            readonly description: "_rev is the revision string for a resource in the OADA API.";
            readonly type: "integer";
        };
        readonly _meta: {
            readonly description: "_meta is a link to the meta document for a resources.";
            readonly properties: {
                readonly _id: {
                    readonly description: "_id identifies a resource in the OADA API.";
                    readonly type: "string";
                };
                readonly _rev: {
                    readonly description: "_rev is the revision string for a resource in the OADA API.";
                    readonly type: "integer";
                };
            };
            readonly required: readonly ["_id", "_rev"];
            readonly type: "object";
        };
        readonly _type: {
            readonly enum: readonly ["application/vnd.trellis.certifications.1+json"];
        };
    };
    readonly additionalProperties: true;
    readonly required: readonly ["_type"];
    readonly type: "object";
    readonly examples: readonly [{
        readonly _id: "resources/902j3kfljwf0932";
        readonly _rev: 1;
        readonly _meta: {
            readonly _id: "resources/f2h0829i322/_meta";
            readonly _rev: 1;
        };
        readonly _type: "application/vnd.trellis.certifications.1+json";
        readonly idjofkwjfsdD: {
            readonly _id: "8f2ofj2308f2i";
            readonly _rev: 1;
        };
    }];
};
export = schema;
