declare const schema: {
    readonly $id: "https://formats.openag.io/trellis/service/master-data-sync/product.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "Product JSON format for master-data-sync";
    readonly type: "object";
    readonly properties: {
        readonly sapid: {
            readonly type: "string";
        };
        readonly SupplierId: {
            readonly type: "string";
        };
        readonly ProductId: {
            readonly type: "string";
        };
        readonly LastUpdated: {
            readonly type: "string";
        };
        readonly ProductName: {
            readonly type: "string";
        };
        readonly DisplayName: {
            readonly type: "string";
        };
        readonly GTIN14: {
            readonly type: "string";
        };
        readonly GPCFamily: {
            readonly type: "string";
        };
        readonly GPCClass: {
            readonly type: "string";
        };
        readonly Brand: {
            readonly type: "string";
        };
        readonly CountryOfOrigin: {
            readonly type: "string";
        };
        readonly Description: {
            readonly type: "string";
        };
        readonly NetContent: {
            readonly type: "string";
        };
        readonly GradeCode: {
            readonly type: "string";
        };
        readonly IsPackaged: {
            readonly type: "boolean";
        };
        readonly PluCode: {
            readonly type: "string";
        };
        readonly SaleUnitUPC: {
            readonly type: "string";
        };
        readonly ProductType: {
            readonly type: "string";
        };
        readonly Supplier: {
            readonly type: "string";
        };
        readonly Active: {
            readonly type: "boolean";
        };
        readonly ForHumanConsumption: {
            readonly type: "boolean";
        };
        readonly SupplierProductCode: {
            readonly type: "string";
        };
        readonly WarehouseOrDirectDelivery: {
            readonly type: "string";
        };
        readonly Status: {
            readonly type: "string";
        };
        readonly MaterialId: {
            readonly type: "string";
        };
        readonly MaterialDescription: {
            readonly type: "string";
        };
        readonly MaterialGroup: {
            readonly type: "string";
        };
        readonly ProductHierarchy: {
            readonly type: "string";
        };
        readonly 'PH-L1': {
            readonly type: "string";
        };
        readonly 'PH-L2': {
            readonly type: "string";
        };
        readonly 'PH-L3': {
            readonly type: "string";
        };
        readonly 'PH-L4': {
            readonly type: "string";
        };
        readonly 'PH-L5': {
            readonly type: "string";
        };
        readonly PrimaryProducer: {
            readonly type: "string";
        };
        readonly Div: {
            readonly type: "string";
        };
    };
    readonly required: readonly ["sapid", "ProductName", "ProductType", "SupplierId", "Status", "MaterialId", "MaterialDescription", "MaterialGroup", "ProductHierarchy", "PH-L1"];
    readonly examples: readonly [{
        readonly sapid: "12345";
        readonly SupplierId: "56789";
        readonly ProductId: "12345";
        readonly LastUpdated: "2022-02-03";
        readonly ProductName: "Organic Apple";
        readonly DisplayName: "Organic Apple";
        readonly GTIN14: "GTIN14";
        readonly GPCFamily: "GTINFamily";
        readonly GPCClass: "GPCClass";
        readonly Brand: "Brand";
        readonly CountryOfOrigin: "Canada";
        readonly Description: "Organic Apples";
        readonly NetContent: "";
        readonly GradeCode: "Grade Code";
        readonly IsPackaged: true;
        readonly PluCode: "PluCode";
        readonly SaleUnitUPC: "Sale Unit";
        readonly ProductType: "Fruit";
        readonly Supplier: "Apple Corp LLC";
        readonly Active: true;
        readonly ForHumanConsumption: true;
        readonly SupplierProductCode: "SupplierCode";
        readonly WarehouseOrDirectDelivery: "Warehouse";
        readonly Status: "Active";
        readonly MaterialId: "5555555";
        readonly MaterialDescription: "Material";
        readonly MaterialGroup: "Group";
        readonly ProductHierarchy: "Hierarchy";
        readonly 'PH-L1': "PH-L1";
        readonly 'PH-L2': "PH-L2";
        readonly 'PH-L3': "PH-L3";
        readonly 'PH-L4': "PH-L4";
        readonly 'PH-L5': "PH-L5";
        readonly PrimaryProducer: "Apple Corp LLC";
        readonly Div: "packaged";
    }];
};
export = schema;
