declare const schema: {
    readonly $id: "https://formats.openag.io/trellis/service/master-data-sync/tradingpartners.schema.json";
    readonly $schema: "http://json-schema.org/draft-07/schema#";
    readonly description: "Trading Partners config format for master-data-sync";
    readonly type: "object";
    readonly properties: {
        readonly id: {
            readonly type: "string";
        };
        readonly sapid: {
            readonly type: "string";
        };
        readonly masterid: {
            readonly type: "string";
        };
        readonly internalid: {
            readonly type: "string";
        };
        readonly companycode: {
            readonly type: "string";
        };
        readonly vendorid: {
            readonly type: "string";
        };
        readonly partnerid: {
            readonly type: "string";
        };
        readonly name: {
            readonly type: "string";
        };
        readonly address: {
            readonly type: "string";
        };
        readonly city: {
            readonly type: "string";
        };
        readonly state: {
            readonly type: "string";
        };
        readonly type: {
            readonly type: "string";
        };
        readonly source: {
            readonly type: "string";
        };
        readonly coi_emails: {
            readonly type: "string";
        };
        readonly fsqa_emails: {
            readonly type: "string";
        };
        readonly email: {
            readonly type: "string";
        };
        readonly phone: {
            readonly type: "string";
        };
    };
    readonly required: readonly ["sapid", "masterid", "internalid", "name", "address", "city", "state", "type", "source", "email", "phone"];
    readonly examples: readonly [{
        readonly id: "1234567890";
        readonly sapid: "1234567890";
        readonly masterid: "1234567890";
        readonly internalid: "1234567890";
        readonly companycode: "1234567890";
        readonly vendorid: "1234567890";
        readonly partnerid: "1234567890";
        readonly name: "Tyson Foods";
        readonly address: "2550 Yeager Road";
        readonly city: "West Lafayette";
        readonly state: "Indiana";
        readonly type: "customer";
        readonly source: "business";
        readonly coi_emails: "example@example.com";
        readonly fsqa_emails: "example@example.com";
        readonly email: "example@example.com";
        readonly phone: "111-222-3333";
    }];
};
export = schema;
