"use strict";
const schema = {
    $id: 'https://formats.openag.io/trellis/trading-partner.schema.json',
    $schema: 'http://json-schema.org/draft-07/schema#',
    description: 'Trading Partners config format within Trellis',
    type: 'object',
    properties: {
        sapid: {
            type: 'string',
        },
        masterid: {
            type: 'string',
        },
        companycode: {
            type: 'string',
        },
        vendorid: {
            type: 'string',
        },
        partnerid: {
            type: 'string',
        },
        name: {
            type: 'string',
        },
        address: {
            type: 'string',
        },
        city: {
            type: 'string',
        },
        state: {
            type: 'string',
        },
        type: {
            type: 'string',
        },
        source: {
            type: 'string',
        },
        coi_emails: {
            type: 'string',
        },
        fsqa_emails: {
            type: 'string',
        },
        email: {
            type: 'string',
        },
        phone: {
            type: 'string',
        },
    },
    required: ['sapid', 'masterid', 'name'],
    examples: [
        {
            sapid: '1234567890',
            masterid: '1234567890',
            companycode: '1234567890',
            vendorid: '1234567890',
            partnerid: '1234567890',
            name: 'Tyson Foods',
            address: '2550 Yeager Road',
            city: 'West Lafayette',
            state: 'Indiana',
            type: 'customer',
            source: 'business',
            coi_emails: 'example@example.com',
            fsqa_emails: 'example@example.com',
            email: 'example@example.com',
            phone: '111-222-3333',
        },
    ],
};
module.exports = schema;
//# sourceMappingURL=trading-partner.schema.cjs.map