"use strict";
const utils_1 = require("@oada/schemas/utils");
const chars = [];
for (let c = 'a'; c <= 'z'; c = String.fromCodePoint(c.codePointAt(0) + 1)) {
    chars.push(c);
}
for (let c = 'A'; c <= 'Z'; c = String.fromCodePoint(c.codePointAt(0) + 1)) {
    chars.push(c);
}
for (let c = '0'; c <= '9'; c = String.fromCodePoint(c.codePointAt(0) + 1)) {
    chars.push(c);
}
const schema = {
    $id: 'https://formats.openag.io/utils.schema.json',
    $schema: 'http://json-schema.org/draft-07/schema#',
    description: 'Utility schema types',
    definitions: {
        anyOtherString: {
            title: 'Any other string',
            description: 'Workaround to make TypeScript autocomplete better for string enums',
            ...(0, utils_1.typescript) `string & Record<never, never>`,
            type: 'string',
            additionalProperties: false,
        },
        alphanumeric: {
            description: 'A single alphanumeric character',
            pattern: '^\\w$',
            enum: chars,
        },
    },
};
module.exports = schema;
//# sourceMappingURL=utils.schema.cjs.map